<?

namespace Shop\DTO;

/**
 * Description of DealerComplex
 *
 * @author Admin
 */
class DealerComplex
{

    //domain
    protected $domainName;
    protected $domainLang;
    protected $domainDomain;
    //stock
    protected $stockName;
    protected $stockCityId;
    protected $stockStreet;
    protected $stockHouse;
    protected $stockRoom;
    //user
    protected $userName;
    protected $userEmail;
    protected $userPassword;
    //copy
    protected $copyPages       = false;
    protected $copyMenu        = false;
    protected $copyContents    = false;
    protected $copyPromoblocks = false;
    protected $copyTemplates   = false;

    public function getCopyTemplates()
    {
        return $this->copyTemplates;
    }

    public function setCopyTemplates($copyTemplates)
    {
        $this->copyTemplates = $copyTemplates;
        return $this;
    }

    public function getDomainName()
    {
        return $this->domainName;
    }

    public function getDomainLang()
    {
        return $this->domainLang;
    }

    public function getDomainDomain()
    {
        return $this->domainDomain;
    }

    public function getStockName()
    {
        return $this->stockName;
    }

    public function getStockCityId()
    {
        return $this->stockCityId;
    }

    public function getStockStreet()
    {
        return $this->stockStreet;
    }

    public function getStockHouse()
    {
        return $this->stockHouse;
    }

    public function getStockRoom()
    {
        return $this->stockRoom;
    }

    public function getUserName()
    {
        return $this->userName;
    }

    public function getUserEmail()
    {
        return $this->userEmail;
    }

    public function getUserPassword()
    {
        return $this->userPassword;
    }

    public function getCopyPages()
    {
        return $this->copyPages;
    }

    public function getCopyMenu()
    {
        return $this->copyMenu;
    }

    public function getCopyContents()
    {
        return $this->copyContents;
    }

    public function getCopyPromoblocks()
    {
        return $this->copyPromoblocks;
    }

    public function setDomainName($domainName)
    {
        $this->domainName = $domainName;
        return $this;
    }

    public function setDomainLang($domainLang)
    {
        $this->domainLang = $domainLang;
        return $this;
    }

    public function setDomainDomain($domainDomain)
    {
        $this->domainDomain = $domainDomain;
        return $this;
    }

    public function setStockName($stockName)
    {
        $this->stockName = $stockName;
        return $this;
    }

    public function setStockCityId($stockCityId)
    {
        $this->stockCityId = $stockCityId;
        return $this;
    }

    public function setStockStreet($stockStreet)
    {
        $this->stockStreet = $stockStreet;
        return $this;
    }

    public function setStockHouse($stockHouse)
    {
        $this->stockHouse = $stockHouse;
        return $this;
    }

    public function setStockRoom($stockRoom)
    {
        $this->stockRoom = $stockRoom;
        return $this;
    }

    public function setUserName($userName)
    {
        $this->userName = $userName;
        return $this;
    }

    public function setUserEmail($userEmail)
    {
        $this->userEmail = $userEmail;
        return $this;
    }

    public function setUserPassword($userPassword)
    {
        $this->userPassword = $userPassword;
        return $this;
    }

    public function setCopyPages($copyPages)
    {
        $this->copyPages = $copyPages;
        return $this;
    }

    public function setCopyMenu($copyMenu)
    {
        $this->copyMenu = $copyMenu;
        return $this;
    }

    public function setCopyContents($copyContents)
    {
        $this->copyContents = $copyContents;
        return $this;
    }

    public function setCopyPromoblocks($copyPromoblocks)
    {
        $this->copyPromoblocks = $copyPromoblocks;
        return $this;
    }

}